import pandas as pd
from plotly import express as px
from plotly.colors import sequential, qualitative


df = pd.DataFrame(data={
    "month": [f"2005-{i:02d}" for i in range(1, 13)],
    "temperature": [4.4, 6.8, 9.2, 11.5, 13.8, 16.3, 19.1, 21.4, 22.9, 20.5, 17.2, 13.9]
})
plot = px.bar(
    df, x="month", y="temperature", color="temperature", template="seaborn",
    title="Temperatures mensuelles de 2005",
    color_continuous_scale=["#FF0020", "rgb(255,165,0)", "rgba(255,255,0,0.8)"],
    labels={"month": "Mois", "temperature": "Température (°C)"}
)
plot.layout.update({"font": {"family": "Cabin", "size": 13}})
plot.show()
